Lists registered providers with pagination, sorting, and filtering.
GET
/api/v1/provision/admin/providers
const url = 'https://example.com/api/v1/provision/admin/providers';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/v1/provision/admin/providersParameters
Section titled “ Parameters ”Query Parameters
Section titled “Query Parameters ” pageNumber
integer | string format: int32
1-based page index.
pageSize
integer | string format: int32
Page size.
sortOrder
string
Optional sort expression.
filter
string
Optional filter expression.
Responses
Section titled “ Responses ”OK
object
pageNumber
integer | string format: int32
pageSize
integer | string format: int32
totalCount
integer | string format: int32
items
Array<object>
object
id
string format: uuid
name
string
totalPages
integer | string format: int32
hasPreviousPage
boolean
hasNextPage
boolean
object
pageNumber
integer | string format: int32
pageSize
integer | string format: int32
totalCount
integer | string format: int32
items
Array<object>
object
id
string format: uuid
name
string
totalPages
integer | string format: int32
hasPreviousPage
boolean
hasNextPage
boolean
Example generated
{ "pageNumber": 1, "pageSize": 1, "totalCount": 1, "items": [ { "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "name": "example" } ], "totalPages": 1, "hasPreviousPage": true, "hasNextPage": true}object
pageNumber
integer | string format: int32
pageSize
integer | string format: int32
totalCount
integer | string format: int32
items
Array<object>
object
id
string format: uuid
name
string
totalPages
integer | string format: int32
hasPreviousPage
boolean
hasNextPage
boolean
Example generated
{ "pageNumber": 1, "pageSize": 1, "totalCount": 1, "items": [ { "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "name": "example" } ], "totalPages": 1, "hasPreviousPage": true, "hasNextPage": true}Unauthorized
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
Example generated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
Example generated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}Forbidden
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
Example generated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
Example generated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}